﻿/*
    Program pro výpočet obvodu a obsahu kruhu 3.    
*/

using System;

namespace Circle3
{
    class Circle
    {
        private int radius;

        public Circle(int initRadius)
        {
            radius = initRadius;
        }

        public double GetArea()
        {
            return Math.PI * radius * radius;
        }

        public double GetPerimeter()
        {
            return 2 * Math.PI * radius;
        }
    }

    class Program
    {
        static void Main()
        {
            string radiusStr;
            int radiusNum;

            Console.Write("Zadej poloměr kruhu v cm: ");
            radiusStr = Console.ReadLine();
            radiusNum = Convert.ToInt32(radiusStr);

            Circle c = new Circle(radiusNum);

            Console.WriteLine("Poloměr kruhu: {0,9:F3} cm", radiusNum);
            Console.WriteLine("Obvod kruhu  : {0,9:F3} cm", c.GetPerimeter());
            Console.WriteLine("Obsah kruhu  : {0,9:F3} cm čtverečných", c.GetArea());
        }
    }
}
