﻿/*
    Program pro výpočet největšího společného dělitele dvou
    přirozených čísel.    
*/

using System;

namespace GCD
{
    class Program
    {
        private static void Exchange(ref int ax, ref int bx)
        {
            int pom;

            pom = ax;
            ax = bx;
            bx = pom;
        }

        public static void GCD(int a, int b, out int d)
        {
            do
            {
                a %= b;
                Exchange(ref a, ref b);
            }
            while (b != 0);

            d = a;
        }

        static void Main()
        {
            string numAStr, numBStr;
            int numANum, numBNum, gcd;

            Console.Write("Zadej číslo a: ");
            numAStr = Console.ReadLine();
            numANum = Convert.ToInt32(numAStr);

            Console.Write("Zadej číslo b: ");
            numBStr = Console.ReadLine();
            numBNum = Convert.ToInt32(numBStr);

            GCD(numANum, numBNum, out gcd);

            Console.WriteLine("Největší společný dělitel čísel {0} a {1} je {2}",
                numANum, numBNum, gcd);
        }
    }
}

