﻿/*
    Program ukazující rozdíl mezi skrytím a předefinováním metody.
*/

using System;

namespace HideOverrideDemo
{
    class ClassA
    {
        public void MethodM()
        {
            Console.WriteLine("Byla vyvolána MetodaM třídy A");
        }

        public virtual void MethodN()
        {
            Console.WriteLine("Byla vyvolána MetodaN třídy A");
        }
    }

    class ClassB : ClassA
    {
        new public void MethodM()
        {
            Console.WriteLine("Byla vyvolána MetodaM třídy B");
        }

        public override void MethodN()
        {
            Console.WriteLine("Byla vyvolána MetodaN třídy B");
        }
    }

    class Program
    {
        static void Main()
        {
            ClassB b = new ClassB();
            ClassA a = b;

            a.MethodM();
            b.MethodM();
            a.MethodN();
            b.MethodN();
        }
    }
}

